import { html as n } from "lit";
import { property as i } from "lit/decorators.js";
import { PieIconComponent as m } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, g = Object.getOwnPropertyDescriptor, a = (c, r, s, t) => {
  for (var e = t > 1 ? void 0 : t ? g(r, s) : r, l = c.length - 1, p; l >= 0; l--)
    (p = c[l]) && (e = (t ? p(r, s, e) : p(e)) || e);
  return t && e && f(r, s, e), e;
};
let o = class extends m {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--employeeSearchLarge", this.class = "c-pieIcon c-pieIcon--employeeSearchLarge", this.name = "IconEmployeeSearchLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--employeeSearchLarge"><path d="M14.25 15.125a5.688 5.688 0 1 0-5.687-5.687 5.644 5.644 0 0 0 5.687 5.687m0-9.625a3.937 3.937 0 1 1-3.937 3.938A3.946 3.946 0 0 1 14.25 5.5m10.063 10.421a5.25 5.25 0 0 0-4.28 8.287L15.93 28.31l1.243 1.234 4.077-4.104a5.252 5.252 0 0 0 8.052-2.662 5.25 5.25 0 0 0-4.99-6.858m0 8.75a3.5 3.5 0 1 1 0-7 3.5 3.5 0 0 1 0 7m-5.6-7.796-4.463 7-3.404-5.25a5.98 5.98 0 0 0-5.25 3.885l-1.382 3.911H2.359l1.575-4.471a7.74 7.74 0 0 1 7.376-5.075h.473l2.467 3.797 2.468-3.797z"></path></svg>`;
  }
};
a([
  i({ type: String, reflect: !0 })
], o.prototype, "size", 2);
a([
  i({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = a([
  h("icon-employee-search-large")
], o);
export {
  o as IconEmployeeSearchLarge
};
